#!/usr/bin/env bash

# Options
power="Power menu"
ssh="SSH Connect"
window="Window switcher"
kaomoji="Kaomoji"

# Rofi CMD
rofi_cmd() {
	rofi -dmenu \
		-window-title "Launcher" \
		-i \
		-theme $HOME/.config/awesome/rofi/launcher_launcher.rasi
}

# Pass variables to rofi dmenu
run_rofi() {
	echo -e "$power\n$ssh\n$window\n$kaomoji" | rofi_cmd
}

# Actions
chosen="$(run_rofi)"
case ${chosen} in
    $power)
		$HOME/.config/awesome/rofi/powermenu.sh
        ;;
    $ssh)
		rofi \
			-show ssh \
			-theme $HOME/.config/awesome/rofi/launcher_launcher.rasi
        ;;
    $window)
		rofi \
			-show window \
			-theme $HOME/.config/awesome/rofi/launcher_launcher.rasi \
        	-theme-str 'listview {columns: 1; lines: 10;}'
        ;;
    $kaomoji)
		$HOME/.config/awesome/rofi/kaomoji.sh \
			-theme $HOME/.config/awesome/rofi/launcher_launcher.rasi
        ;;
esac
